Package org.drinkless.tdlib

# Class TdApi.UserPrivacySettingRuleRestrictUsers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserPrivacySettingRule
org.drinkless.tdlib.TdApi.UserPrivacySettingRuleRestrictUsers

Enclosing class:
  `TdApi`

public static class TdApi.UserPrivacySettingRuleRestrictUsers extends TdApi.UserPrivacySettingRule
A rule to restrict all specified users from doing something.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.UserPrivacySettingRule

  `TdApi.UserPrivacySettingRule.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `userIds`
  The user identifiers, total number of users in all rules must not exceed 1000.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserPrivacySettingRuleRestrictUsers()`
  A rule to restrict all specified users from doing something.
  `UserPrivacySettingRuleRestrictUsers(long[] userIds)`
  A rule to restrict all specified users from doing something.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userIds

    public long[] userIds
    The user identifiers, total number of users in all rules must not exceed 1000.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserPrivacySettingRuleRestrictUsers

    public UserPrivacySettingRuleRestrictUsers()
    A rule to restrict all specified users from doing something.

  - ### UserPrivacySettingRuleRestrictUsers

    public UserPrivacySettingRuleRestrictUsers(long[] userIds)
    A rule to restrict all specified users from doing something.
    Parameters:
      `userIds` - The user identifiers, total number of users in all rules must not exceed 1000.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.UserPrivacySettingRule`
    Returns:
      this.CONSTRUCTOR